### Class

# Template Template

#### Description

    class Template.Template : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### tmpl_template_new

Creates a new `TmplTemplate`.

#### Instance methods

###### tmpl_template_expand

Expands a template into `stream` using the `scope` provided.

###### tmpl_template_expand_string

Expands the template and returns the result as a string.

###### tmpl_template_get_locator

Gets the template locator used when resolving template includes.

###### tmpl_template_parse

No description available.

###### tmpl_template_parse_file

No description available.

###### tmpl_template_parse_path

No description available.

###### tmpl_template_parse_resource

No description available.

###### tmpl_template_parse_string

No description available.

###### tmpl_template_set_locator

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Template.Template:locator

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct TemplateTemplateClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.